/* This file adjusts Epsilon for use with IBM code page 850. It contains   *
 * scraps of code from the distribution, so the following notice should be *
 * included. */

/************************************************************************
* "Epsilon" is a registered trademark licensed to Lugaru Software, Ltd. *
*  "EEL" and "Lugaru" are trademarks of Lugaru Software, Ltd.           *
*                                                                       *
*  Copyright (C) 1985, 1994 Lugaru Software Ltd.  All rights reserved.  *
*                                                                       *
* Limited permission is hereby granted to reproduce and modify this     *
* copyrighted material provided that the resulting code is used only in *
* conjunction with Lugaru products and that this notice is retained in  *
* any such reproduction or modification.                                *
************************************************************************/

#include "eel.h" /* load standard defs */

#define UCLC(up, low)   _def_char_class[low] = C_LOWER, \
         _def_char_class[up] = C_UPPER, \
         _def_case_map[low] = _def_srch_case_map[low] = up, \
         _def_case_map[up] = low

#undef DISPCHARS
#define DISPCHARS "\xC4\xC4\xB3\xB3" \
         "\xDA\xC2\xBF\xC3\xC5\xB4\xC0\xC1\xD9" \
         "\xDA\xC2\xBF\xC3\xC5\xB4\xC0\xC1\xD9" \
         "\xDA\xC2\xBF\xC3\xC5\xB4\xC0\xC1\xD9" \
         "\xDA\xC2\xBF\xC3\xC5\xB4\xC0\xC1\xD9" \
         "\xBF    ^^^M-M-^x" \
         "\x1E\x1F\x04\x12" \
         "\xF2\xDB\xDC\xDD\xF7\xDF\xFB\xFC\xFD"

volatile char _display_characters[75] = DISPCHARS;

volatile user char default_word[60] = "[0-9_a-zA-Z-------]+";   

when_loading() /* execute when loaded */
{
   int i;

   word_pattern.default = default_word;    

/* Case conversion; note that '' has no upper case, while the upper case of
 * '' is 'SS'.  */

   for (i = 128; i < 256; i++)
      _def_case_map[i] = _def_srch_case_map[i] = i;

   for (i = 128; i < 256; i++)
      _def_char_class[i] = 0;

   UCLC('', '');
   UCLC('', '');
   UCLC('', '');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   _def_char_class[''] = C_LOWER;
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   UCLC('','');
   _def_char_class[''] = C_LOWER;
   UCLC('','');
   UCLC('','');
   UCLC('','');

}
